<?php

namespace TDevAgency\FilesManager\Helpers;

use TDevAgency\FilesManager\MediaHelper;

class PictureTagHelper
{
    use MediaHelper;

    public function pictureTag($id, $size = 'xl'): ?array
    {
        $filesManager = app(CacheHelper::class)->getFileData($id);
        if ($filesManager === null) {
            return null;
        }
        $tag = [
            'sources' => [],
            'src' => parse_url(asset('media/' . $filesManager->id . '/' . $filesManager->original_name), PHP_URL_PATH)
        ];
        if (preg_match('/^image\/(jpe?g|gif|png|webp)+$/', $filesManager->file_mime)) {
            $pathInfo = pathinfo($filesManager->original_name);

            if ($pathInfo['extension'] !== 'webp') {
                $tag['sources'][] = [
                    'src' => parse_url(
                        $this->forceSupportWebp()->getImage($filesManager->id, $size, true),
                        PHP_URL_PATH
                    ),
                    'mime' => 'image/webp',
                ];
            }
            $tag['sources'][] = [
                'src' => parse_url(
                    $this->getImage($filesManager->id, $size),
                    PHP_URL_PATH
                ),
                'mime' => $filesManager->file_mime,
            ];
        }
        return $tag;
    }
}
